/* Special purpose registers for 16F876 processors */

char  PORTC@7;

char  TRISC@0x87;

char	PIR1@0x0c;
char	PIR2@0x0d;
char  TMR1L@0x0e;
char  TMR1H@0x0f;
char  T1CON@0x10;
char  TMR2@0x11;
char  T2CON@0x12;
char  SSPBUF@0x13;
char  SSPCON@0x14;
char  CCPR1L@0x15;
char  CCPR1H@0x16;
char  CCP1CON@0x17;
char  RCSTA@0x18;
char  TXREG@0x19;
char  RCREG@0x1a;
char  CCPR2L@0x1b;
char  CCPR2H@0x1c;
char  CCP2CON@0x1d;
char  ADRESH@0x1e;
char  ADCON0@0x1f;

char  PIE1@0x8c;
char  PIE2@0x8d;
char  PCON@0x8e;
char  SSPCON2@0x91;


char  PR2@0x92;
char  SSPADD@0x93;
char  SSPSTAT@0x94;

char  TXSTA@0x98;
char  SPBRG@0x99;

char  ADRESL@0x9e;
char  ADCON1@0x9f;



/*bits in INTCON */
#define  GIE   7
#define  PEIE  6
#define  T0IE  5
#define  INTE  4
#define  RBIE  3
#define  T0IF  2
#define  INTF  1
#define  RBIF  0

/*bits in PIR1*/

#define  PSPIF    7
#define  ADIF     6
#define  RCIF     5
#define  TXIF     4
#define  SSPIF    3
#define  CCP1IF   2
#define  TMR2IF   1
#define  TMR1IF   0

/*bits in PIR2*/
#define  CCP2IF   0

/*bits in T1CON   */
#define  T1CKPS1  5
#define  T1CKPS0  4
#define  T1OSCEN  3
#define  T1SYNC   2
#define  TMR1CS   1
#define  TMR1ON   0

/*bits in T2CON */
#define  TOUTPS3  6
#define  TOUTPS2  5
#define  TOUTPS1  4
#define  TOUTPS0  3
#define  TMR2ON   2
#define  T2CKPS1  1
#define  T2CKPS0  0

/*bits in SSPCON */
#define  WCOL     7
#define  SSPOV    6
#define  SSPEN    5
#define  CKP      4
#define  SSPM3    3
#define  SSPM2    2
#define  SSPM1    1
#define  SSPM0    0

/*bits in CCP1CON */
#define  CCP1X    5
#define  CCP1Y    4
#define  CCP1M3   3
#define  CCP1M2   2
#define  CCP1M1   1
#define  CCP1M0   0

/*bits in RCSTA */

#define  SPEN     7
#define  RX9      6
#define  SREN     5
#define  CREN     4
#define  FERR     2
#define  OERR     1
#define  RX9D     0

/*bits in CCP2CON */
#define  CCP2X    5
#define  CCP2Y    4
#define  CCP2M3   3
#define  CCP2M2   2
#define  CCP2M1   1
#define  CCP2M0   0

/*bits in ADCON0 */
#define  ADCS1    7
#define  ADCS0    6
#define  CHS2     5
#define  CHS1     4
#define  CHS0     3
#define  GO       2
#define  GO_DONE  2
#define  NOT_DONE 2
#define  ADON     0

/*bits in PIE1 */
#define  PSPIE    7
#define  ADIE     6
#define  RCIE     5
#define  TXIE     4
#define  SSPIE    3
#define  CCP1IE   2
#define  TMR2IE   1
#define  TMR1IE   0

/*bits in PIE2 */
#define  CCP2IE   0

/*bits in PCON */
#define  NOT_POR  1
#define  NOT_BOR  0
#define  NOT_BO   0

/*bits in SSPSTAT */
#define  D        5
#define  IC2_DATA 5
#define  NOT_A    5
#define  D_A      5
#define  P        4
#define  I2C_STOP 4
#define  S        3
#define  I2C_START 3
#define  R        2
#define  I2C_READ 2
#define  NOT_W    2
#define  R_W      2
#define  UA       1
#define  BF       0

/*bits in TXSTA */
#define  CSRC     7
#define  TX9      6
#define  TXEN     5
#define  SYNC     4

#define  BRGH     2
#define  TRMT     1
#define  TX9D     0
  
/*bits in ADCON1 */
#define  PCFG2    2
#define  PCFG1    1
#define  PCFG0    0




/*end of file*/




